// src/PhantomContext.tsx
import { createPhantom } from "@phantom/browser-sdk";
import * as React from "react";
import { jsx } from "react/jsx-runtime";
var PhantomContext = React.createContext({ phantom: void 0, isReady: false });
var PhantomProvider = ({ children, config }) => {
  const [context, setContext] = React.useState({ phantom: void 0, isReady: false });
  React.useEffect(() => {
    const phantom = createPhantom(config);
    setContext({ phantom, isReady: true });
  }, [config]);
  return /* @__PURE__ */ jsx(PhantomContext.Provider, { value: context, children });
};
function usePhantom() {
  const context = React.useContext(PhantomContext);
  if (!context) {
    throw new Error("usePhantom must be used within a PhantomProvider");
  }
  return context;
}

export {
  PhantomProvider,
  usePhantom
};
